Opened 8 years ago

Closed 8 years ago

#5539 closed defect (not a bug)

tbb upgrade issue

Reported by: cypherpunks Owned by: erinn
Priority: High Milestone:
Component: Applications/Tor bundles/installation Version:
Severity: Keywords: security
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

I upgraded from tor-browser-gnu-linux-x86_64-2.2.35-4-dev-en-US.tar.gz to tor-browser-gnu-linux-x86_64-2.2.35-9-dev-en-US.tar.gz and two weird things happened. The first is that launching TBB caused a firefox compatibility window to appear. It checked my extensions and plugins for compatibility, an odd thing as I did not upgrade in place. I straight up removed my old tbb directory, why did it know about the state of my previous tbb plugins and extensions?!

Secondly, for the first time ever, the browser is called "Firefox Web Browser" rather than the usual "Aurora" that I find confusing. Did this thing finally get a branding or did something go horribly wrong? On Ubuntu, I have 11.0+build1-0ubuntu0.11.10.1 - which is similar what my Firefox reports (11.0) in the about box.

Did TBB launch my system Firefox?

Child Tickets

Change History (2)

comment:1 Changed 8 years ago by cypherpunks

I see the following and it indicates that I am running the TBB Firefox:

1000     24581  8.3  2.1 818608 131160 pts/5   Sl+  21:24   0:50 ./App/Firefox/firefox -no-remote -profile ./Data/profile

comment:2 Changed 8 years ago by erinn

Resolution: not a bug
Status: newclosed

As you determined, you're using the Firefox we ship. I'm going to close this, but we're rebranding for sure soon and if you want to follow along with that you can add yourself to the Cc: on #2176.

Note: See TracTickets for help on using tickets.